Debian logoDebian Screenshots >

libvendorlib-perl

pragma to enforce only core and vendor libraries are used

Description

In a system distribution such as Debian, it may be advisable for Perl programs to ignore the user's CPAN-installed modules and only use the distribution-provided modules to avoid possible breakage with newer and unpackaged versions of modules.

To that end, this pragma will replace your @INC with only the core and vendor @INC paths, ignoring site_perl and $ENV{PERL5LIB} entirely.

It is recommended that you put 'use vendorlib;' as the first statement in your program, before even 'use strict;' and 'use warnings;'.

Upload more screenshots

Please help extend the collection of screenshots. Just make a screenshot and upload it here. You don't need to register or anything.


Homepage

https://metacpan.org/release/vendorlib


Statistics

154 other people were interested in this package here. The newest known version of this software is 0.12-1 (Information last updated 3 days ago.)